CVE-2022-1996

NameCVE-2022-1996
DescriptionAuthorization Bypass Through User-Controlled Key in GitHub repository emicklei/go-restful prior to v3.8.0.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
Debian Bugs1012763

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
golang-github-emicklei-go-restful (PTS)buster2.4.0-2vulnerable
bullseye2.11.1-2vulnerable
bookworm, sid3.7.3-1vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
golang-github-emicklei-go-restfulsource(unstable)(unfixed)1012763

Notes

[bullseye] - golang-github-emicklei-go-restful <no-dsa> (Minor issue)
[buster] - golang-github-emicklei-go-restful <no-dsa> (Minor issue)
https://huntr.dev/bounties/be837427-415c-4d8c-808b-62ce20aa84f1/
https://github.com/emicklei/go-restful/commit/fd3c327a379ce08c68ef18765bdc925f5d9bad10

Search for package or bug name: Reporting problems